Put hidden input fields of sequences in datatables
06/04/2018 08:09 AM - Alexander Blum

Status: Erledigt Start date:

Priority: Niedrig Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Currently, in the artist sequence there are two distinct elements:

* datatables table for display
¢ div with hidden input fields

Allocation of those are handled by javascript. It might be way better to put the fields in a hidden datatables column

e allocation code would be unneccessary and more stable
e datatables api would be usable for field handlich
¢ especially reordering would be easy (RowReorder plugin)

Associated revisions

Revision 9b0d097c - 10/04/2018 08:38 AM - Alexander Blum
fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 9b0d097c - 10/04/2018 08:38 AM - Alexander Blum
fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 33161c07 - 10/04/2018 08:41 AM - Alexander Blum
fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 33161¢c07 - 10/04/2018 08:41 AM - Alexander Blum
fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

History

#1 -10/11/2018 07:39 PM - Alexander Blum
- Status changed from Neu to Erledigt
- % Done changed from 0 to 100

Applied in changeset commit:collecting_society portal|9b0d097c6ab5279d0f2be1120580e33b4ace06eb.

#2 - 10/08/2019 03:51 PM - Alexander Blum

- Project changed from repertoire to collecting_society
